# Uses of Interface
org.eclipse.emf.cdo.server.IRepository

Packages that use IRepository
Package
Description
org.eclipse.emf.cdo.lm.reviews.server
org.eclipse.emf.cdo.lm.server
Server integration of the CDO Lifecycle Management.
org.eclipse.emf.cdo.server
Server concepts for dealing with repositories and stores.
org.eclipse.emf.cdo.server.admin
Server side of the protocol to administer CDO repositories remotely.
org.eclipse.emf.cdo.server.embedded
Server concepts for dealing with Net4j-based repositories and fail-over infrastructure.
org.eclipse.emf.cdo.server.security
Server integration of the `Security` model.
org.eclipse.emf.cdo.server.spi.admin
Server provider interfaces (SPI) for the protocol to administer CDO repositories remotely.
org.eclipse.emf.cdo.spi.server
Server service provider interfaces and useful base implementations.

## Uses of IRepository in org.eclipse.emf.cdo.lm.reviews.server

Methods in org.eclipse.emf.cdo.lm.reviews.server with parameters of type IRepository
Modifier and Type
Method
Description
`IReviewManager`
IReviewManager.Registry.`getReviewManager(IRepository repository)`

## Uses of IRepository in org.eclipse.emf.cdo.lm.server

Methods in org.eclipse.emf.cdo.lm.server with parameters of type IRepository
Modifier and Type
Method
Description
`static XMLLifecycleManager`
LMAppExtension.`getLifecycleManager(IRepository repository)`
`static AbstractLifecycleManager`
AbstractLifecycleManager.`of(org.eclipse.net4j.util.container.IManagedContainer container, IRepository repository)`

## Uses of IRepository in org.eclipse.emf.cdo.server

Subinterfaces of IRepository in org.eclipse.emf.cdo.server
Modifier and Type
Interface
Description
`interface`
`ISynchronizableRepository`
A repository with the ability to `synchronize` its content with another repository.
Methods in org.eclipse.emf.cdo.server that return IRepository
Modifier and Type
Method
Description
`static IRepository`
CDOServerUtil.`createRepository(String name, IStore store, Map<String,String> props)`
`IRepository`
IRepositoryFactory.`createRepository()`
`final IRepository`
CDOServerExporter.`getRepository()`
`static IRepository`
CDOServerUtil.`getRepository(String uuid)`
`static IRepository`
CDOServerUtil.`getRepository(CDOSession session)`
`static IRepository`
CDOServerUtil.`getRepository(org.eclipse.net4j.util.container.IManagedContainer container, String name)`
`IRepository`
IRepositoryProtector.`getRepository()`
`IRepository`
IRepositoryProvider.`getRepository(String name)`
`IRepository`
ISession.`getRepository()`
`IRepository`
ISessionManager.`getRepository()`
`IRepository`
IStore.`getRepository()`
`IRepository`
IUnitManager.`getRepository()`
`IRepository`
IView.`getRepository()`
`IRepository[]`
IRepositoryProtector.`getSecondaryRepositories()`
Methods in org.eclipse.emf.cdo.server with parameters of type IRepository
Modifier and Type
Method
Description
`static void`
CDOServerUtil.`addRepository(org.eclipse.net4j.util.container.IManagedContainer container, IRepository repository)`
`void`
IRepositoryProtector.`addSecondaryRepository(IRepository repository)`
`void`
IRepositoryProtector.`removeSecondaryRepository(IRepository repository)`
`void`
IRepositoryProtector.`setRepository(IRepository repository)`
Constructors in org.eclipse.emf.cdo.server with parameters of type IRepository
Modifier
Constructor
Description
``
`Binary(IRepository repository)`
``
`Binary(IRepository repository)`
``
`CDOServerExporter(IRepository repository)`
``
`CDOServerImporter(IRepository repository)`
``
`XML(IRepository repository)`
``
`XML(IRepository repository)`

## Uses of IRepository in org.eclipse.emf.cdo.server.admin

Methods in org.eclipse.emf.cdo.server.admin that return IRepository
Modifier and Type
Method
Description
`IRepository`
CDORepositoryConfigurationManager.`addRepository(String name, Document configuration)`
Methods in org.eclipse.emf.cdo.server.admin that return types with arguments of type IRepository
Modifier and Type
Method
Description
`Map<String,IRepository>`
CDORepositoryConfigurationManager.`getRepositories()`
Methods in org.eclipse.emf.cdo.server.admin with parameters of type IRepository
Modifier and Type
Method
Description
`boolean`
CDORepositoryConfigurationManager.`canRemoveRepository(IRepository repository)`
`void`
CDORepositoryConfigurationManager.`removeRepository(IRepository repository)`

## Uses of IRepository in org.eclipse.emf.cdo.server.embedded

Methods in org.eclipse.emf.cdo.server.embedded that return IRepository
Modifier and Type
Method
Description
`final IRepository`
CDOEmbeddedRepositoryConfig.`getRepository()`
Methods in org.eclipse.emf.cdo.server.embedded with parameters of type IRepository
Modifier and Type
Method
Description
`protected void`
CDOEmbeddedRepositoryConfig.`activateRepository(IRepository repository)`
`void`
CDOEmbeddedRepositoryConfig.`afterFirstStart(IRepository repository)`
Subclasses may override.
`void`
CDOEmbeddedRepositoryConfig.`afterReStart(IRepository repository)`
Subclasses may override.
`void`
CDOEmbeddedRepositoryConfig.`initPackages(IRepository repository, List<EPackage> packages)`
Subclasses may override.
`boolean`
CDOEmbeddedRepositoryConfig.`isInitialPackage(IRepository repository, String nsURI)`
Subclasses may override.
`void`
CDOEmbeddedRepositoryConfig.`modifySession(IRepository repository, CDONet4jSession session)`
Subclasses may override.

## Uses of IRepository in org.eclipse.emf.cdo.server.security

Methods in org.eclipse.emf.cdo.server.security that return IRepository
Modifier and Type
Method
Description
`IRepository`
ISecurityManager.`getRepository()`
`IRepository[]`
ISecurityManager.`getSecondaryRepositories()`
Methods in org.eclipse.emf.cdo.server.security with parameters of type IRepository
Modifier and Type
Method
Description
`static ISecurityManager`
SecurityManagerUtil.`getSecurityManager(IRepository repository)`

## Uses of IRepository in org.eclipse.emf.cdo.server.spi.admin

Methods in org.eclipse.emf.cdo.server.spi.admin that return IRepository
Modifier and Type
Method
Description
`IRepository`
CDOAdminHandler.`createRepository(String name, Map<String,Object> properties)`
Methods in org.eclipse.emf.cdo.server.spi.admin with parameters of type IRepository
Modifier and Type
Method
Description
`boolean`
CDOAdminHandler2.`canDelete(IRepository delegate)`
Queries whether a given `repository` can be deleted.
`void`
CDOAdminHandler.`deleteRepository(IRepository delegate)`

## Uses of IRepository in org.eclipse.emf.cdo.spi.server

Subinterfaces of IRepository in org.eclipse.emf.cdo.spi.server
Modifier and Type
Interface
Description
`interface`
`InternalFailoverParticipant`
If the meaning of this type isn't clear, there really should be more of a description here...
`interface`
`InternalRepository`
If the meaning of this type isn't clear, there really should be more of a description here...
`interface`
`InternalSynchronizableRepository`
If the meaning of this type isn't clear, there really should be more of a description here...
Methods in org.eclipse.emf.cdo.spi.server that return IRepository
Modifier and Type
Method
Description
`IRepository[]`
RepositoryConfigurator.`configure(File configFile)`
`IRepository[]`
RepositoryConfigurator.`configure(Reader configReader)`
`protected IRepository[]`
RepositoryConfigurator.`configure(Document document)`
`IRepository`
RepositoryFactory.`createRepository()`
`static IRepository`
RepositoryFactory.`get(org.eclipse.net4j.util.container.IManagedContainer container, String name)`
`IRepository`
ContainerRepositoryProvider.`getRepository(String name)`
`IRepository`
RepositoryActivityLog.`getRepository()`
`protected IRepository`
RepositoryConfigurator.`getRepository(String repositoryType)`
`protected IRepository`
RepositoryConfigurator.`getRepository(Element repositoryConfig)`
`protected IRepository`
RepositoryUserManager.`getRepository(org.eclipse.net4j.util.container.IManagedContainer container, String repositoryName)`
Methods in org.eclipse.emf.cdo.spi.server with parameters of type IRepository
Modifier and Type
Method
Description
`protected void`
RepositoryActivityLog.`delegateAboutToDeactivate(IRepository delegate)`
`protected void`
RepositoryActivityLog.`delegateActivated(IRepository delegate)`
`protected void`
RepositoryActivityLog.Rolling.`delegateChanged(IRepository oldRepository, IRepository newRepository)`
`protected abstract char[]`
RepositoryUserManager.`getPassword(IRepository repository, String userID)`
`protected final InternalRepository`
AbstractAppExtension.`getRepository(IRepository[] repositories, String name)`
`protected void`
RepositoryActivityLog.`hookDelegate(IRepository repository)`
`void`
InternalStore.`setRepository(IRepository repository)`
`void`
RepositoryActivityLog.`setRepository(IRepository repository)`
`void`
Store.`setRepository(IRepository repository)`
`void`
AppExtension.`start(IRepository[] repositories, File configFile)`
`void`
IAppExtension3.`start(IRepository[] repositories, File configFile)`
`void`
AppExtension.`stop(IRepository[] repositories)`
`void`
IAppExtension3.`stop(IRepository[] repositories)`
`protected void`
RepositoryActivityLog.`unhookDelegate(IRepository repository)`